From 1b01f3659ddfdc1a151caac1fcab2f51621d436a Mon Sep 17 00:00:00 2001
From: Justin W. Flory (he/him) <git@jwf.io>
Date: Nov 13 2020 22:39:55 +0000
Subject: [PATCH 36/88] Dev tools: Update build/preview scripts from latest upstream


This commit manually copies over the latest version of the `build.sh`
and `preview.sh` scripts from fedora-docs/template.

Signed-off-by: Justin W. Flory (he/him) <git@jwf.io>

---

diff --git a/build.sh b/build.sh
index a527e3d..f4ecfe4 100755
--- a/build.sh
+++ b/build.sh
@@ -3,25 +3,25 @@
 image="docker.io/antora/antora"
 cmd="--html-url-extension-style=indexify site.yml"
 
-if [ "$(uname)" == "Darwin" ]; then
+if [ "$(uname)" = "Darwin" ]; then
     # Running on macOS.
     # Let's assume that the user has the Docker CE installed
     # which doesn't require a root password.
     echo ""
     echo "This build script is using Docker container runtime to run the build in an isolated environment."
     echo ""
-    docker run -e "ANTORA_DATE=$(date -u)" --rm -it -v $(pwd):/antora $image $cmd
+    docker run --rm -it -v "$(pwd):/antora" $image $cmd
 
-elif [ "$(expr substr $(uname -s) 1 5)" == "Linux" ]; then
+elif [ "$(expr substr "$(uname -s)" 1 5)" = "Linux" ]; then
     # Running on Linux.
-    # Check whether podman is available, else faill back to docker
+    # Check whether podman is available, else fall back to docker
     # which requires root.
 
     if [ -f /usr/bin/podman ]; then
         echo ""
         echo "This build script is using Podman to run the build in an isolated environment."
         echo ""
-	podman run -e "ANTORA_DATE=$(date -u)" --rm -it -v $(pwd):/antora:z $image $cmd
+        podman run --rm -it -v "$(pwd):/antora:z" $image $cmd
 
     elif [ -f /usr/bin/docker ]; then
         echo ""
@@ -29,18 +29,18 @@ elif [ "$(expr substr $(uname -s) 1 5)" == "Linux" ]; then
         echo ""
 
         if groups | grep -wq "docker"; then
-	    docker run -e "ANTORA_DATE=$(date -u)" --rm -it -v $(pwd):/antora:z $image $cmd
-	else
+            docker run --rm -it -v "$(pwd):/antora:z" $image $cmd
+        else
             echo ""
             echo "This build script is using $runtime to run the build in an isolated environment. You might be asked for your password."
             echo "You can avoid this by adding your user to the 'docker' group, but be aware of the security implications. See https://docs.docker.com/install/linux/linux-postinstall/."
             echo ""
-            sudo docker run -e "ANTORA_DATE=$(date -u)" --rm -it -v $(pwd):/antora:z $image $cmd
-	fi
+            sudo docker run --rm -it -v "$(pwd):/antora:z" $image $cmd
+        fi
     else
         echo ""
-	echo "Error: Container runtime haven't been found on your system. Fix it by:"
-	echo "$ sudo dnf install podman"
-	exit 1
+        echo "Error: Container runtime haven't been found on your system. Fix it by:"
+        echo "$ sudo dnf install podman"
+        exit 1
     fi
 fi
diff --git a/preview.sh b/preview.sh
index 9c5d46f..4270107 100755
--- a/preview.sh
+++ b/preview.sh
@@ -1,13 +1,13 @@
 #!/bin/sh
 
-if [ "$(uname)" == "Darwin" ]; then
+if [ "$(uname)" = "Darwin" ]; then
     # Running on macOS.
     # Let's assume that the user has the Docker CE installed
     # which doesn't require a root password.
     echo "The preview will be available at http://localhost:8080/"
-    docker run --rm -v $(pwd)/public:/usr/share/nginx/html:ro -p 8080:80 nginx
+    docker run --rm -v "$(pwd):/antora:ro" -v "$(pwd)/nginx.conf:/etc/nginx/conf.d/default.conf:ro" -p 8080:80 nginx
 
-elif [ "$(expr substr $(uname -s) 1 5)" == "Linux" ]; then
+elif [ "$(expr substr "$(uname -s)" 1 5)" = "Linux" ]; then
     # Running on Linux.
     # Fedora Workstation has python3 installed as a default, so using that
     echo ""

